Show / Hide Table of Contents

# Class RestRequest

##### Inheritance

System.Object
RestRequest
JsonRestRequest
MultipartRestRequest

##### Implements

IRequest

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Net.Queue

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestRequest : IRequest

### Constructors

| Improve this Doc View Source

#### RestRequest(IRestClient, String, String, RequestOptions)

##### Declaration

    public RestRequest(IRestClient client, string method, string endpoint, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
IRestClient | client |
System.String | method |
System.String | endpoint |
RequestOptions | options |

### Properties

| Improve this Doc View Source

#### Client

##### Declaration

    public IRestClient Client { get; }

##### Property Value

Type | Description
--- | ---
IRestClient |

| Improve this Doc View Source

#### Endpoint

##### Declaration

    public string Endpoint { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Method

##### Declaration

    public string Method { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Options

##### Declaration

    public RequestOptions Options { get; }

##### Property Value

Type | Description
--- | ---
RequestOptions |

| Improve this Doc View Source

#### Promise

##### Declaration

    public TaskCompletionSource<Stream> Promise { get; }

##### Property Value

Type | Description
--- | ---
System.Threading.Tasks.TaskCompletionSource<System.IO.Stream> |

| Improve this Doc View Source

#### TimeoutAt

##### Declaration

    public DateTimeOffset? TimeoutAt { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

### Methods

| Improve this Doc View Source

#### SendAsync()

##### Declaration

    public virtual Task<RestResponse> SendAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<RestResponse> |

### Implements

IRequest